<Project Sdk="Microsoft.NET.Sdk">
	<PropertyGroup>
		<Nullable>enable</Nullable>
	</PropertyGroup>
	<PropertyGroup>
		<TargetFramework>net8.0</TargetFramework>

		<IsPackable>false</IsPackable>

		<LangVersion>default</LangVersion>

		<OutputType>Exe</OutputType>
	</PropertyGroup>

	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
		<OutputPath>bin</OutputPath>
	</PropertyGroup>

	<ItemGroup>
		<Compile Remove="OK\**" />
		<EmbeddedResource Remove="OK\**" />
		<None Remove="OK\**" />
	</ItemGroup>

	<ItemGroup>
	  <None Remove="模板使用说明" />
	</ItemGroup>

	<ItemGroup>
	  <Content Include="模板使用说明" />
	</ItemGroup>



	<ItemGroup>
		<None Update="LiquidTemplate\EntityService.liquid">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</None>
		<None Update="LiquidTemplate\EntityViewModel.liquid">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</None>
		<None Update="LiquidTemplate\IEntityService.liquid">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</None>
	</ItemGroup>

	<ItemGroup>
		<Service Include="{508349b6-6b84-4df5-91f0-309beebad82d}" />
	</ItemGroup>

	<ItemGroup>
		<PackageReference Include="Fluid.Core" Version="2.11.1" />
		<PackageReference Include="Microsoft.EntityFrameworkCore" Version="8.0.8" />
		<PackageReference Include="Microsoft.EntityFrameworkCore.Abstractions" Version="8.0.8" />
		<PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="8.0.4" />
		<PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="8.0.8">
			<PrivateAssets>all</PrivateAssets>
			<IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
		</PackageReference>
	</ItemGroup>

	<ItemGroup>
		<ProjectReference Include="..\IRaCIS.Core.Infra.EFCore\IRaCIS.Core.Infra.EFCore.csproj" />
	</ItemGroup>

	<ItemGroup>
	  <Folder Include="LiquidTemplateOutPut\" />
	</ItemGroup>

</Project>
